local schemeMgr = CEGUI.SchemeManager:getSingleton()
local winMgr = CEGUI.WindowManager:getSingleton()
local logger = CEGUI.Logger:getSingleton()
local system = CEGUI.System:getSingleton()

schemeMgr:loadScheme("TaharezLookSkin.scheme")
system:setDefaultMouseCursor("TaharezLook", "MouseArrow")
system:setDefaultFont("BlueHighway-12")


local rootSheet = winMgr:createWindow("DefaultGUISheet", "orxonox/Sheet")

local quit = winMgr:createWindow("TaharezLook/Button", "orxonox/QuitButton")
quit:setText("Quit")
quit:setSize(CEGUI.UVector2(CEGUI.UDim(0.15, 0), CEGUI.UDim(0.05, 0)))
quit:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.6, 0)))
quit:subscribeEvent("Clicked","button_quit_clicked")

local start = winMgr:createWindow("TaharezLook/Button", "orxonox/StartButton")
start:setText("Start")
start:setSize(CEGUI.UVector2(CEGUI.UDim(0.15, 0), CEGUI.UDim(0.05, 0)))
start:setPosition(CEGUI.UVector2(CEGUI.UDim(0.4, 0), CEGUI.UDim(0.4, 0)))
start:subscribeEvent("Clicked","button_start_clicked")

local backgroundImage = CEGUI.ImagesetManager:getSingleton():createImagesetFromImageFile("GUI/Background", "sample_loading.jpg")
local background = winMgr:createWindow("TaharezLook/StaticImage", "orxonox/Background")
background:setProperty("Image", "set: GUI/Background image:full_image")

rootSheet:addChildWindow(quit)
rootSheet:addChildWindow(start)
background:addChildWindow(rootSheet)


function button_quit_clicked(e)
  orxonox.CommandExecutor:execute("exit")
end

function button_start_clicked(e)
  --orxonox.CommandExecutor:execute("loadGame standalone")
  hideGUI()
  orxonox.CommandExecutor:execute("openConsole")
end

local showBackground = false

function showMainMenu()
  if showBackground == true then
    system:setGUISheet(background)
  else
    system:setGUISheet(rootSheet)
  end
  return 0;
end

function hideGUI()
  system:setGUISheet(nil)
  orxonox.GUIManager:getInstance():_hideGUI()
end
